summaryrefslogtreecommitdiff
path: root/games-emulation/ps2emu-zeropad
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /games-emulation/ps2emu-zeropad
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'games-emulation/ps2emu-zeropad')
-rw-r--r--games-emulation/ps2emu-zeropad/files/ps2emu-zeropad-consistent-naming.patch13
-rw-r--r--games-emulation/ps2emu-zeropad/ps2emu-zeropad-0.1.0.ebuild49
-rw-r--r--games-emulation/ps2emu-zeropad/ps2emu-zeropad-9999.ebuild47
3 files changed, 109 insertions, 0 deletions
diff --git a/games-emulation/ps2emu-zeropad/files/ps2emu-zeropad-consistent-naming.patch b/games-emulation/ps2emu-zeropad/files/ps2emu-zeropad-consistent-naming.patch
new file mode 100644
index 0000000..834d811
--- /dev/null
+++ b/games-emulation/ps2emu-zeropad/files/ps2emu-zeropad-consistent-naming.patch
@@ -0,0 +1,13 @@
+--- zeropad/Makefile.am.orig 2008-06-08 22:29:35.000000000 -0400
++++ zeropad/Makefile.am 2008-06-08 22:29:45.000000000 -0400
+@@ -13,10 +13,6 @@
+ # Create a shared object by faking an exe (thanks to ODE makefiles)
+ traplibdir=$(prefix)
+
+-if DEBUGBUILD
+-preext=d
+-endif
+-
+ EXEEXT=$(preext)@so_ext@
+
+ traplib_PROGRAMS=libZeroPAD
diff --git a/games-emulation/ps2emu-zeropad/ps2emu-zeropad-0.1.0.ebuild b/games-emulation/ps2emu-zeropad/ps2emu-zeropad-0.1.0.ebuild
new file mode 100644
index 0000000..aec4e75
--- /dev/null
+++ b/games-emulation/ps2emu-zeropad/ps2emu-zeropad-0.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games autotools
+
+PCSX2="pcsx2-0.9.4"
+
+DESCRIPTION="PS2Emu pad plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+SRC_URI="mirror://sourceforge/pcsx2/${PCSX2}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND=">=x11-libs/gtk+-2"
+DEPEND="${RDEPEND}
+ x11-proto/xproto"
+
+S="${WORKDIR}/${PCSX2}/plugins/pad/zeropad"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}/${PN}-consistent-naming.patch"
+
+ sed -r -i \
+ -e '/C(..)?FLAGS=/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ -e 's/C(..)?FLAGS\+="/C\1FLAGS+=" /' \
+ configure.ac || die
+
+ eautoreconf -v --install || die
+}
+
+src_compile() {
+ egamesconf $(use_enable debug) || die
+ emake || die
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)/ps2emu/plugins"
+ doexe libZeroPAD.so.${PV} || die
+ prepgamesdirs
+}
diff --git a/games-emulation/ps2emu-zeropad/ps2emu-zeropad-9999.ebuild b/games-emulation/ps2emu-zeropad/ps2emu-zeropad-9999.ebuild
new file mode 100644
index 0000000..8459546
--- /dev/null
+++ b/games-emulation/ps2emu-zeropad/ps2emu-zeropad-9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ESVN_REPO_URI="https://pcsx2.svn.sourceforge.net/svnroot/pcsx2/plugins/pad/zeropad"
+inherit eutils games subversion autotools
+
+DESCRIPTION="PS2Emu pad plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug"
+
+RDEPEND=">=x11-libs/gtk+-2"
+DEPEND="${RDEPEND}
+ x11-proto/xproto"
+
+S="${WORKDIR}/zeropad"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+
+ epatch "${FILESDIR}/${PN}-consistent-naming.patch"
+
+ sed -r -i \
+ -e '/C(..)?FLAGS=/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ -e 's/C(..)?FLAGS\+="/C\1FLAGS+=" /' \
+ configure.ac || die
+
+ eautoreconf -v --install || die
+}
+
+src_compile() {
+ egamesconf $(use_enable debug) || die
+ emake || die
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)/ps2emu/plugins"
+ doexe libZeroPAD.so.* || die
+ prepgamesdirs
+}